1. Appeals
Casharc
Merchant
  • Merchant
  • Getting Started
    • Introduction
    • Authentication
    • Quickstart
  • Core Concepts
    • Statuses
    • Status Codes
  • Guides
    • Idempotency
    • Metadata
  • Payments
    • Create Payment
      POST
    • List Payments
      GET
    • Retrieve Payment
      GET
    • Confirm Payment
      POST
    • Cancel Payment
      POST
    • Refund Payment
      POST
  • Payouts
    • Create Payout
      POST
    • List Payouts
      GET
    • Retrieve Payout
      GET
    • Cancel Payout
      POST
  • Appeals
    • Create Appeal
      POST
    • List Appeals
      GET
    • Retrieve Appeal
      GET
    • Cancel Appeal
      POST
  • Balance
    • Retrieve Balance
      GET
  • Files
    • Upload File
  • Webhook
    • Overview
    • Event Types
    • Verifying
    • Payment Event
    • Payout Event
    • Appeal Event
  1. Appeals

Create Appeal

POST
/appeals

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢201
application/json
Bodyapplication/json

🟠400
🟠401
🟠403
🟠404
🟠409
🟠422
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/appeals' \
--header 'Idempotency-Key: 85c711c0-3c87-456e-a27c-6696fbd23cd5' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "transaction_id": "txn_2n1TLgiZFvF7DZuL",
    "amount": "1000.00",
    "currency": "XTS",
    "attachments": [
        {
            "type": "receipt",
            "file_id": "file_2n5nK8HXcf77PuRT"
        }
    ]
}'
Response Response Example
201 - Example
{
    "data": {
        "id": "apl_2n5nMVAepGqUFHo8",
        "transaction_id": "txn_2n1TLgiZFvF7DZuL",
        "requested": {
            "amount": "1000.00",
            "currency": "XTS"
        },
        "resolved": {
            "amount": "0.00",
            "currency": "XTS"
        },
        "attachments": [
            {
                "type": "receipt",
                "file_id": "file_2n5nK8HXcf77PuRT",
                "name": "receipt_10426.pdf",
                "url": "https://api.casharc.pro/merchant/v1/files/file_2n5nK8HXcf77PuRT/content"
            }
        ],
        "status": "processing",
        "status_code": "processing",
        "created_at": "2026-01-01T00:52:00Z",
        "finalized_at": null,
        "metadata": {}
    }
}
Previous
Cancel Payout
Next
List Appeals
Built with